unit LStep4;

interface

const
  LStep4Dll; = 'LStep4.dll';
  XAxis = 1;
  YAxis = 2;
  ZAxis = 3;
  AAxis = 4;

type
  TLS_ControlInitPar = packed record
    Size: Integer;
    InterfaceType: Integer;
    ComName: string[32];
    ShowProt: LongBool;
    ShowCmdList: LongBool;

    BaudRate: Integer;
    IOAddress: LongWord;
    CardIndex: Integer;

    ControlType: Integer;
    VersionStr: string[64];
    Axes: Integer;
    ErrorCode: Integer;
    NewCmds: LongBool;
    Encoder: Integer;
    Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut: LongBool;

    DemoMode: LongBool;
  end;

   TLS_ControlInitParW = packed record
    Size: Integer;
    InterfaceType: Integer;
    ComNameW: array [0..31] of WideChar;
    ShowProt: LongBool;
    ShowCmdList: LongBool;

    BaudRate: Integer;
    IOAddress: LongWord;
    CardIndex: Integer;

    ControlType: Integer;
    VersionStrW: array [0..63] of WideChar;
    Axes: Integer;
    ErrorCode: Integer;
    NewCmds: LongBool;
    Encoder: Integer;
    Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut: LongBool;

    DemoMode: LongBool;
  end;


function LS_Connect: Integer; stdcall; external LStep4Dll;
function LS_ConnectSimple( AnInterfaceType: Integer; AComName: PAnsiChar; ABaudRate: Integer; AShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LS_ConnectSimpleW( AnInterfaceType: Integer; AComName: PWideChar; ABaudRate: Integer; AShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LS_ConnectEx( var AControlInitPar: TLS_ControlInitPar): Integer; stdcall; external LStep4Dll;
function LS_ConnectExW( var AControlInitPar: TLS_ControlInitParW): Integer; stdcall; external LStep4Dll;
function LS_Disconnect: Integer; stdcall; external LStep4Dll;
function LS_LoadConfig( FileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_LoadConfigW( FileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_SaveConfig( FileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_SaveConfigW( FileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_MoveAbs( X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveRel( X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_Calibrate: Integer; stdcall; external LStep4Dll;
function LS_RMeasure: Integer; stdcall; external LStep4Dll;
function LS_SetPitch( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetPos( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetActiveAxes( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetVel( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAccel( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetRoomAccelJerk( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomAccelJerk( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomDecelJerk( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomDecelJerk( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomStopJerk( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomStopJerk( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomAccel( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomAccel( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomDecel( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomDecel( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomStopDecel( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomStopDecel( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetRoomVel( value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_GetRoomVel( var value: Double): Integer; stdcall; external LStep4Dll;               //nkrg
function LS_SetReduction( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetDelay( Delay: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetSwitchPolarity( XP: Integer; YP: Integer; ZP: Integer; AP: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetSwitchActive( XA: Integer; YA: Integer; ZA: Integer; AA: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetJoystickOn( PositionCount: LongBool; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetJoystickOff: Integer; stdcall; external LStep4Dll;
function LS_SoftwareReset: Integer; stdcall; external LStep4Dll;
function LS_SetDigitalOutput( Index: Integer; Value: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetDigitalInputs( var Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetAnalogOutput( Index: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAnalogInput( Index: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetLimit( Axis: Integer; MinRange: Double; MaxRange: Double): Integer; stdcall; external LStep4Dll;
function LS_SetLimitControl( Axis: Integer; Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetPos( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetStatus( Stat: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusW( Stat: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEncoderMask( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_StopAxes: Integer; stdcall; external LStep4Dll;
function LS_SetAbortFlag: Integer; stdcall; external LStep4Dll;
function LS_MoveRelSingleAxis( Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveAbsSingleAxis( Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveSequence( nMode: Integer; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetControlPars: Integer; stdcall; external LStep4Dll;
function LS_SetMotorCurrent( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorAutoKommCurrent( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;      //nkrg
function LS_GetMotorAutoKommCurrent( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;      //nkrg
function LS_SetMotorpeakCurrent( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetMotorpeakCurrent( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorpeakCurrentTime( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMotorpeakCurrentTime( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMotorIITCheck( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMotorIITCheck( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetVelSingleAxis( Axis: Integer; Vel: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAccelSingleAxis( Axis: Integer; Accel: Double): Integer; stdcall; external LStep4Dll;
function LS_CalibrateEx( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_RMeasureEx( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetShowProt( ShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetAnalogInputs2( var PT100: Integer; var MV: Integer; var V24: Integer): Integer; stdcall; external LStep4Dll;
function LS_SendString( Str: PAnsiChar; Ret: PAnsiChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LS_SendStringW( Str: PWideChar; Ret: PWideChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetSpeedPoti( SpeedPoti: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetTVRMode( XT: Integer; YT: Integer; ZT: Integer; AT: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetAutoStatus( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusAxis( StatusAxisStr: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusAxisW( StatusAxisStr: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigIO_Off( Index: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigIO_Polarity( Index: Integer; High: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetDigIO_EmergencyStop( Index: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigIO_Distance( Index: Integer; Fkt: LongBool; Dist: Double; Axis: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDimensions( XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveRelShort: Integer; stdcall; external LStep4Dll;
function LS_SetEncoderPeriod( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetJoystickDir( XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetEncoderMask( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetGear( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetHandWheelOn( PositionCount: LongBool; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetHandWheelOff: Integer; stdcall; external LStep4Dll;
function LS_SetFactorTVR( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetController( XC: Integer; YC: Integer; ZC: Integer; AC: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetControllerCall( CtrCall: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetControllerSteps( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetControllerFactor( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetControllerTWDelay( CtrTWDelay: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetEncoderRefSignal( XR: Integer; YR: Integer; ZR: Integer; AR: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetEncoderPosition( Value: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStr( Vers: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStrW( Vers: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetError( var ErrorCode: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetPosSingleAxis( Axis: Integer; var Pos: Double): Integer; stdcall; external LStep4Dll;
function LS_SetDistance( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetPosEx( var X: Double; var Y: Double; var Z: Double; var A: Double; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetShowCmdList( ShowCmdList: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetWriteLogText( AWriteLogText: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetControllerTimeout( ACtrTimeout: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetEncoderActive( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshotCount( var SnsCount: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshotPos( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetCorrTblOff: Integer; stdcall; external LStep4Dll;
function LS_SetCorrTblOn( AFileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_SetCorrTblOnW( AFileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_SetFactorMode( AFactorMode: LongBool; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetSnapshot( ASnapshot: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetSnapshotPar( High: LongBool; AutoMode: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetTrigger( ATrigger: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetTrigger_( ATrigger: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTriggerPar( Axis: Integer; Mode: Integer; Signal: Integer; Distance: Double): Integer; stdcall; external LStep4Dll;
function LS_SetTrigger_TwoPar( Axis: Integer; Mode: Integer; Signal: Integer; Distance: Double): Integer; stdcall; external LStep4Dll;
function LS_SetTriggerSource( Source: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetTriggerSource( var Source: integer): Integer; stdcall; external LStep4Dll;
function LS_SetTrigger_TwoSource( Source: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetTrigger_TwoSource( var Source: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetTriggerHysterese(  Hysterese: Double): Integer;stdcall; external LStep4Dll;
function LS_GetTriggerHysterese( var Hysterese: Double): Integer;stdcall; external LStep4Dll;
function LS_SetTrigger_TwoHysterese(  Hysterese: Double): Integer;stdcall; external LStep4Dll;
function LS_GetTrigger_TwoHysterese( var Hysterese: Double): Integer;stdcall; external LStep4Dll;
function LS_SetTriggerPLength( Length: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetTriggerPLength( var Length: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetTrigger_TwoPLength( Length: Integer):Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_TwoPLength( var Length: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetTriggerPulsCount( Count: Integer):Integer;stdcall; external LStep4Dll;
function LS_GetTriggerPulsCount(var Count : Integer): integer;stdcall; external LStep4Dll;
function LS_SetTrigger_TwoPulsCount( Count: Integer):Integer;stdcall; external LStep4Dll;
function LS_GetTrigger_TwoPulsCount(var Count : Integer): integer;stdcall; external LStep4Dll;
function LS_SetConfigurated( X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_GetConfigurated( var X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetStopMode( Mode: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetStopMode( var Mode: Integer) : Integer;stdcall; external LStep4Dll;
function LS_SetStopSwitchOffDelay ( delay: Integer): Integer;stdcall; external LStep4Dll;          
function LS_GetStopSwitchOffDelay ( var delay: Integer): Integer;stdcall; external LStep4Dll;      
function LS_SetLanguage( PLN: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_SetLanguageW( PLN: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_GetSwitches( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSerialNr( SerialNr: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSerialNrW( SerialNr: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCSOffset( X: double; Y: double; Z: double; A: double): Integer; stdcall; external LStep4Dll;
function LS_GetCSOffset( var X: double; var Y: double; var Z: double; var A: double): Integer; stdcall; external LStep4Dll;
function LS_SetCalibRMOffsetSWAct( X: longbool; Y: longbool; Z: longbool; A: longbool): Integer; stdcall; external LStep4Dll;
function LS_GetCalibRMOffsetSWAct( var X: longbool; var Y: longbool; var Z: longbool; var A: longbool): Integer; stdcall; external LStep4Dll;
function LS_MoveAbsV( X: double; Y: double; Z: double; A: double; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveAbsVW( X: double; Y: double; Z: double; A: double; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveRelV( X: double; Y: double; Z: double; A: double; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveRelVW( X: double; Y: double; Z: double; A: double; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDeviationValue( var XD: Double;var YD: Double;var ZD: Double;var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAutoKomm( var Feedback: PAnsiChar;MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetAutoKommW( var Feedback: PWideChar;MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAutoKomm( var X: longbool; var Y: longbool; var Z: longbool; var A: longbool): Integer; stdcall; external LStep4Dll;
function LS_GetAutoKommResult( var X1: double; var X2: double; var Y1: double; var Y2: double; var Z1: double; var Z2: double; var A1: double; var A2: double): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTablePos( Position: integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetTablePos( Position: integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetIndexTableDivider( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetIndexTableDivider( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveTablePosAbs( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveTablePosAbsW( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveTablePosRel( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveTablePosRelW( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveIndexTable( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveIndexTableW( X: Integer; Y: Integer; Z: Integer; A: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetSpeedEnable( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetSpeedEnable( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetSpeed( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetSpeed( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMixedMoveAxisMode( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMixedMoveAxisMode( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_MixedMoveAbs( X: Double; Y: Double; Z: Double; A: Double; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MixedMoveAbsW( X: Double; Y: Double; Z: Double; A: Double; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;                      //nkrg
function LS_MixedMoveRel( X: Double; Y: Double; Z: Double; A: Double; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_MixedMoveRelW( X: Double; Y: Double; Z: Double; A: Double; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;                                   //nkrg
function LS_SetMixedMovePos( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMixedMovePos( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMixedMoveAmpl( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMixedMoveAmpl( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMoveSeqStatusPos( status: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMoveSeqStatusPos( var status: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMoveSeqStatus( status: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMoveSeqStatusW( status: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMoveSeqStatus( var status: Integer; var line: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMoveSeqVar( a: Double; b: Double; c: Double; d: Double; e: Double): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMoveSeqVar( var a: Double; var b: Double; var c: Double; var d: Double; var e: Double): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetCalibOffset( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetRMOffset( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshotPosArray( Index: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAxisDirection( XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCalibrateDir( XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_LStepSave: Integer; stdcall; external LStep4Dll;
function LS_SetBPZ( AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetBPZTrackballFactor( AValue: Double): Integer; stdcall; external LStep4Dll;
function LS_SetBPZTrackballBackLash( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetBPZJoyspeed( APar: Integer; AValue: Double): Integer; stdcall; external LStep4Dll;
function LS_SetJoystickWindow( AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCurrentDelay( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_MoveEx( X: Double; Y: Double; Z: Double; A: Double; Relative: LongBool; Wait: LongBool; AxisCount: Integer): Integer; stdcall; external LStep4Dll;
function LS_WaitForAxisStop( AFlags: Integer; ATimeoutValue: Integer; var ATimeout: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SendStringPosCmd( Str: PAnsiChar; Ret: PAnsiChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LS_SendStringPosCmdW( Str: PWideChar; Ret: PWideChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigitalOutputs( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetWriteLogTextFN( AWriteLogText: LongBool; ALogFN: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_SetWriteLogTextFNW( AWriteLogText: LongBool; ALogFN: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_EnableGlobalLogging( AEnableGlobalLogging: LongBool): Integer; stdcall; external LStep4Dll;
function LS_EnableGuiLogging( AEnableGlobalLogging: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetDigitalOutputsE( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigOutLinktoSignal( Output: Integer;toSignal: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDigOutLinktoSignal( Output: Integer;var toSignal: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMonitoringVelFilter( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     
function LS_GetMonitoringVelFilter( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     
function LS_SetHaltSignalVel( X: double; Y: double; Z: double; A: double): Integer; stdcall; external LStep4Dll;                     
function LS_GetHaltSignalVel( var X: double; var Y: double; var Z: double; var A: double): Integer; stdcall; external LStep4Dll;     
function LS_SetThresholdSignalVel( X: double; Y: double; Z: double; A: double): Integer; stdcall; external LStep4Dll;                     
function LS_GetThresholdSignalVel( var X: double; var Y: double; var Z: double; var A: double): Integer; stdcall; external LStep4Dll;     
function LS_SetInvertDigOutSignal( Output: Integer; invert: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetInvertDigOutSignal( Output: Integer; var invert: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetDigitalInputsE( var Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_EnableCommandRetry( AValue: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetXYAxisComp( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStrDet( VersDet: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStrDetW( VersDet: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAPIVersion( APIVer: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAPIVersionW( APIVer: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCommandTimeout( AtoRead: Integer; AtoMove: Integer; AtoCalibrate: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetExtValue( AName: Integer; AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_FlushBuffer( AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetProcessMessagesProc( Proc: Pointer): Integer; stdcall; external LStep4Dll;
function LS_GetEEPRomValue( Offset: byte; var Value: byte): Integer; stdcall; external LStep4Dll;
function LS_SetEEPRomValue( Offset: byte; Value: byte): Integer; stdcall; external LStep4Dll;
function LS_GetXYAxisComp( var Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDimensions( var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetPitch( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetGear( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetVel( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetAccel( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetVelFac( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetVelFacSingleAxis( Axis: Integer; Value: Double): Integer; stdcall; external LStep4Dll;
function LS_GetVelFac( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetSpeedPoti( var SpePoti: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetMotorCurrent( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetReduction( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCurrentDelay( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetOutFuncLev( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetOutFuncLev( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetActiveAxes( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAxisDirection( var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetCalibOffset( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetRMOffset( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCalibrateDir( var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCalibBackSpeed( Speed: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetCalibBackSpeed( var Speed: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetRefSpeed( Speed: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetRefSpeed( var Speed: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetPowerAmplifier( Amplifier: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetPowerAmplifier( var Amplifier: LongBool): Integer; stdcall; external LStep4Dll;
function LS_ValidConfig( AxisInt: Integer): Integer;stdcall; external LStep4Dll;
function LS_ValidPar( AxisInt: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetEqepConfig( Wert: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetEqepConfig( var GetWert: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTTLOutConfig( TTLOut: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetTTLOutConfig( var TTLOut: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetPoscon( Enable: LongBool): Integer;stdcall; external LStep4Dll;
function LS_GetPoscon( var Enable: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetManModePreselection( MMode: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetManModePreselection( var MMode: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetManModeLinktoAxisX( var Link2: AnsiChar):Integer;stdcall; external LStep4Dll;
function LS_GetManModeLinktoAxisY( var Link2: AnsiChar):Integer;stdcall; external LStep4Dll;
function LS_GetManModeLinktoAxisZ( var Link2: AnsiChar):Integer;stdcall; external LStep4Dll;
function LS_GetManModeLinktoAxisA( var Link2: AnsiChar):Integer;stdcall; external LStep4Dll;
function LS_SetJoyRedCur( X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll; 
function LS_SetAnaOutPreset(Output: Integer;StartValue: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetAnaOutPreset(var Output1: Integer;var Output2: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetJoyRedCur( var X,Y,Z,R: LongBool):Integer;stdcall; external LStep4Dll;
function LS_SetJoytoAxis( X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetJoytoAxis( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetTipp( Tipp: LongBool): Integer;stdcall; external LStep4Dll;
function LS_GetTipp( var Tipp: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetTippEnable( X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetTippEnable( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetTippRedCur( X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetTippRedCur( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetTippVel( X,Y,Z,R: double): Integer; stdcall; external LStep4Dll;
function LS_GetTippVel( var X,Y,Z,R: double): Integer;stdcall; external LStep4Dll;
function LS_SetTippDir( X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetTippDir( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetModulo( X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetModulo( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetModuloMode( X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetModuloMode( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetEncDir( X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_GetEncDir( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetEncPolePairs(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEncPolePairs( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetEnctoAxis(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEnctoAxis( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetEncType(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEncType( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetMotortempSensor( X,Y,Z,R : longBool): Integer; stdcall; external LStep4Dll;
function LS_GetMotortempSensor( var X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetMotortempSensormin( X,Y,Z,R : Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotortempSensormin( var X,Y,Z,R:Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMotortempSensormax( X,Y,Z,R : Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotortempSensormax( var X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotortempSensorValue( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetKommMode( X,Y,Z,R : longBool): Integer; stdcall; external LStep4Dll;
function LS_GetKommMode( var X,Y,Z,R: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetKommEncDir( X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_GetKommEncDir( var X,Y,Z,R: LongBool): Integer;stdcall; external LStep4Dll;
function LS_SetKommEncPolePairs(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetKommEncPolePairs( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetKommEnctoAxis(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetKommEnctoAxis( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetKommEncType(X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetKommEncType( var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetMotorPolePairs( X,Y,Z,R : Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotorPolePairs( var X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMotorPolePairRes( X,Y,Z,R : Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotorPolePairRes( var X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMotorPoleScale( X,Y,Z,R : double) : Integer;stdcall; external LStep4Dll;
function LS_GetMotorPoleScale( var X,Y,Z,R: double) :Integer;stdcall; external LStep4Dll;
function LS_GetSysStat( var X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSysStatusW( Status :PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSysStatus(Status:PAnsiChar;MaxLen: Integer): Integer;stdcall; external LStep4Dll;
function LS_GetStopStatus(var StopStatus: Boolean): Integer; stdcall; external LStep4Dll;
function LS_Quit:Integer;stdcall; external LStep4Dll;
function LS_SetMotorBrakeSwitchOnDelay( X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorBrakeSwitchOnDelay( var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorBrakeSwitchOffDelay( X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorBrakeSwitchOffDelay( var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorAutoKommDelay( X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorAutoKommDelay( var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorAutoKommSpeedScale( X: double; Y: double; Z: double; R: double): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorAutoKommSpeedScale( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorForceConstant( X: double; Y: double; Z: double; R: double): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorForceConstant( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorLoad( X: double; Y: double; Z: double; R: double): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorLoad( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorMomentConstant( X: double; Y: double; Z: double; R: double): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorMomentConstant( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetMotorMomentOfInertia( X: double; Y: double; Z: double; R: double): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorMomentOfInertia( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetPosConKP( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConKP( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConAdaptiveKP( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConAdaptiveKP( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConKI( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConKI( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConAdaptiveKI( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConAdaptiveKI( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConOutPass( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConOutPass( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConAdaptiveOutPass( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConAdaptiveOutPass( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConEnable( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConEnable( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetSpeedConKP( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetSpeedConKP( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetSpeedConKI( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetSpeedConKI( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetSpeedConKD( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetSpeedConKD( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetSpeedConOutPass( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetSpeedConOutPass( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConNominalSpeed( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConNominalSpeed( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosConAdaptiveSpeed( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosConAdaptiveSpeed( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetActSpeedFilterConst( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetActSpeedFilterConst( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetSpeedFeedForward( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetSpeedFeedForward( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetActAccelFilterConst( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetActAccelFilterConst( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetAccelFeedForward( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetAccelFeedForward( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetAccelFeedForwardOutPass( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetAccelFeedForwardOutPass( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_SetPosMode( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                          //nkrg
function LS_GetPosMode( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_GetSpeedConTN( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;          //nkrg
function LS_GetPowerAmplifierStatus( var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;   //nk
function LS_GetPTemp( var X: double; var Y: double; var Z: double; var R: double): Integer; stdcall; external LStep4Dll;   //nkrg
function LS_SetSysSampleRate( rate: Integer): Integer; stdcall; external LStep4Dll;                       //nkrg
function LS_GetSysSampleRate( var rate: Integer): Integer; stdcall; external LStep4Dll;                   //nkrg
function LS_SetAxisMap( X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;                       //nkrg
function LS_GetAxisMap( var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;       //nkrg
function LS_SetBaud( rate: Integer): Integer; stdcall; external LStep4Dll;                       //nkrg
function LS_GetBaud( var rate: Integer): Integer; stdcall; external LStep4Dll;                   //nkrg
function LS_SetTrigger_Two( Status: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_Two(var Status:integer): Integer;stdcall; external LStep4Dll;
function LS_SetTriggerDim( Dimension: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTriggerDim(var Dimension:integer): Integer;stdcall; external LStep4Dll;
function LS_SetTrigger_TwoDim( Dimension: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_TwoDim(var Dimension:integer): Integer;stdcall; external LStep4Dll;
function LS_SetPosWindowRange( X,Y,Z,R : double) : Integer;stdcall; external LStep4Dll;
function LS_GetPosWindowRange( var X,Y,Z,R: double) :Integer;stdcall; external LStep4Dll;
function LS_SetPosWindowTime( X,Y,Z,R : integer) : Integer;stdcall; external LStep4Dll;
function LS_GetPosWindowTime( var X,Y,Z,R: integer) :Integer;stdcall; external LStep4Dll;
function LS_SetPosWindowTimeout( X,Y,Z,R : integer) : Integer;stdcall; external LStep4Dll;
function LS_GetPosWindowTimeout( var X,Y,Z,R: integer) :Integer;stdcall; external LStep4Dll;
function LS_SetPosWindowCheck( X,Y,Z,R : LongBool) : Integer;stdcall; external LStep4Dll;
function LS_GetPosWindowCheck( var X,Y,Z,R: LongBool) :Integer;stdcall; external LStep4Dll;
function LS_SetDeviationRange( X,Y,Z,R : double) : Integer;stdcall; external LStep4Dll;
function LS_GetDeviationRange( var X,Y,Z,R: double) :Integer;stdcall; external LStep4Dll;
function LS_SetDeviationTime( X,Y,Z,R : integer) : Integer;stdcall; external LStep4Dll;
function LS_GetDeviationTime( var X,Y,Z,R: integer) :Integer;stdcall; external LStep4Dll;
function LS_SetDeviationCheck( X,Y,Z,R : LongBool) : Integer;stdcall; external LStep4Dll;
function LS_GetDeviationCheck( var X,Y,Z,R: LongBool) :Integer;stdcall; external LStep4Dll;
function LS_SetHalt( X,Y,Z,R : LongBool) : Integer;stdcall; external LStep4Dll;
function LS_SetMotorTablePatch( Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetMotorTablePatch( var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetJoystickFilter( Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetJoystickFilter( var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetStopPolarity( HighActiv: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetStopPolarity( var HighActiv: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetVLevel( VRegion: Integer; DownLevel: Double; UpLevel: Double): Integer; stdcall; external LStep4Dll;
function LS_GetVLevel( VRegion: Integer; var DownLevel: Double; var UpLevel: Double): Integer; stdcall; external LStep4Dll;
function LS_SetStopAccel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetStopAccel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStrInfo( VersInfo: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetVersionStrInfoW( VersInfo: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusLimit( Limit: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusLimitW( Limit: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSecurityErr( var Value: LongWord): Integer; stdcall; external LStep4Dll;
function LS_GetSecurityStatus( var Value: LongWord): Integer; stdcall; external LStep4Dll;
function LS_GetDelay( var Delay: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDistance( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_ClearPos( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigJoySpeed( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetDigJoySpeed( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetJoystickDir( var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetJoystick( var JoystickOn: LongBool; var Manual: LongBool; var PositionCount: LongBool; var Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetJoystickWindow( var AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetHandWheel( var HandWheelOn: LongBool; var PositionCount: LongBool; var Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetBPZ( var AValue: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetBPZTrackballFactor( var AValue: Double): Integer; stdcall; external LStep4Dll;
function LS_GetBPZTrackballBackLash( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetBPZJoyspeed( APar: Integer; var AValue: Double): Integer; stdcall; external LStep4Dll;
function LS_GetLimitControl( Axis: Integer; var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetAutoLimitAfterCalibRM( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetAutoLimitAfterCalibRM( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSwitchPolarity( var XP: Integer; var YP: Integer; var ZP: Integer; var AP: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSwitchActive( var XA: Integer; var YA: Integer; var ZA: Integer; var AA: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTVRMode( var XT: Integer; var YT: Integer; var ZT: Integer; var AT: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetFactorTVR( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetTVROutMode( XT: Integer; YT: Integer; ZT: Integer; AT: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTVROutMode( var XT: Integer; var YT: Integer; var ZT: Integer; var AT: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTVROutResolution( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTVROutResolution( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTVROutPitch( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetTVROutPitch( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetVelTVRO( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetVelTVRO( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAccelTVRO( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetAccelTVRO( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_SetVelSingleAxisTVRO( Axis: Integer; Vel: Double): Integer; stdcall; external LStep4Dll;
function LS_SetAccelSingleAxisTVRO( Axis: Integer; Accel: Double): Integer; stdcall; external LStep4Dll;
function LS_SetPosTVRO( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetPosTVRO( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_MoveAbsTVRO( X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveRelTVRO( X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveRelTVROSingleAxis( Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_MoveAbsTVROSingleAxis( Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetStatusTVRO( Stat: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetStatusTVROW( Stat: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTargetWindow( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetTargetWindow( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetEncoderPeriod( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetEncoderRefSignal( var XR: Integer; var YR: Integer; var ZR: Integer; var AR: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEncoderPosition( var Value: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetEncoderActive( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetController( var XC: Integer; var YC: Integer; var ZC: Integer; var AC: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetControllerCall( var CtrCall: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetControllerSteps( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetControllerFactor( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LS_GetControllerTWDelay( var CtrTWDelay: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetControllerTimeout( var ACtrTimeout: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCtrFastMoveOn: Integer; stdcall; external LStep4Dll;
function LS_SetCtrFastMoveOff: Integer; stdcall; external LStep4Dll;
function LS_GetCtrFastMove( var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LS_ClearCtrFastMoveCounter: Integer; stdcall; external LStep4Dll;
function LS_GetCtrFastMoveCounter( var XC: Integer; var YC: Integer; var ZC: Integer; var AC: Integer): Integer; stdcall; external LStep4Dll;
function LS_ClearEncoder( Axis: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetEncoder( var XP: Double; var YP: Double; var ZP: Double; var AP: Double): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger( var ATrigger: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_( var ATrigger: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTriggerPar( var Axis: Integer; var Mode: Integer; var Signal: Integer; var Distance: Double): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_TwoPar( var Axis: Integer; var Mode: Integer; var Signal: Integer; var Distance: Double): Integer; stdcall; external LStep4Dll;
function LS_SetTriggerCount( Value: Cardinal): Integer; stdcall; external LStep4Dll;
function LS_GetTriggerCount( var Value: Cardinal): Integer; stdcall; external LStep4Dll;
function LS_SetTrigCount( Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetTrigCount( var Value: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetTrigger_TwoCount( Value: Cardinal): Integer; stdcall; external LStep4Dll;
function LS_GetTrigger_TwoCount(var Value: Cardinal): Integer; stdcall; external LStep4Dll;
function LS_SetSnapShotSource( X,Y,Z,R: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSnapShotSource(var X,Y,Z,R: Integer): Integer;stdcall; external LStep4Dll;
function LS_SetTVRInPulse( Axis: Integer; Direction: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshot( var ASnapshot: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetSnapshotFilter( Time: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshotFilter( var Time: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSnapshotPar( var High: LongBool; var AutoMode: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetLimit( Axis: Integer; var MinRange: Double; var MaxRange: Double): Integer; stdcall; external LStep4Dll;
function LS_JoyChangeAxis( Value: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetJoyChangeAxis( var Value: LongBool): Integer; stdcall; external LStep4Dll;
function LS_SetDigJoyOff: Integer; stdcall; external LStep4Dll;
function LS_SetInputTrigMove( Mode: Integer; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LS_GetInputTrigMove( var Mode: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetLimitControlMode( Mode: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetLimitControlMode( var Mode: Integer): Integer; stdcall; external LStep4Dll;
function LS_Initialize( Workpath: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LS_InitializeW( Workpath: PWideChar): Integer; stdcall; external LStep4Dll;
function LS_SetAccelJerk( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetDecelJerk( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetCalibRMJerk( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetJoyVel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetJoyVel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetJoyOutPass( X: integer; Y: integer; Z: integer; A: integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetJoyOutPass( var X: integer; var Y: integer; var Z: integer; var A: integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTippOutPass( X: integer; Y: integer; Z: integer; A: integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTippOutPass( var X: integer; var Y: integer; var Z: integer; var A: integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetMotorBrakeDigOut( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetMotorBrakeDigOut( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_GetMotorBrakeOut( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBall( Status: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBall( var Status: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallVel( X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallVel( var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallEnable( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallEnable( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallRedCur( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallRedCur( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallDir( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallDir( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallToAxis( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallToAxis( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTrackBallOutPass( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTrackBallOutPass( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetDigInStatus( status: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigInStatusW( status: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDigInStatus( var status: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetDigInExtStatus( status: Integer; var Feedback: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetDigInExtStatusW( status: Integer; var Feedback: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetDigInExtStatus( var status: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTTLDigOut( status: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTTLDigOut( var status: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_GetTTLDigIn( var status: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTVR( X: LongBool; Y: LongBool; Z: LongBool; A: LongBool): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTVR( var X: LongBool; var Y: LongBool; var Z: LongBool; var A: LongBool): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetTVRToAxis( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;                     //nkrg
function LS_GetTVRToAxis( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;     //nkrg
function LS_SetDeceleration( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetDeceleration( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetDecelSingleAxis( Axis: Integer; Value: Double): Integer; stdcall; external LStep4Dll;
function LS_ConfigMaxAxes( nAxes: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMotorBrake( X: integer; Y: integer; Z: integer; A: integer): Integer; stdcall; external LStep4Dll;                         //nkrg
function LS_GetMotorBrake( var X: integer; var Y: integer; var Z: integer; var A: integer): Integer; stdcall; external LStep4Dll;         //nkrg
function LS_SetJoystickAxes( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetJoystickAxes( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetJoyVelSkal( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetJoyVelSkal( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMaxUserCurrent( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetMaxUserCurrent( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetStopDecel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetStopDecel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorMaxVel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetMotorMaxVel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorStandForce( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetMotorStandForce( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorStandMoment( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetMotorStandMoment( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetMotorFieldDir( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotorFieldDir( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetMotorType( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetMotorType( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetOsziCallBackFct( Fct: Pointer): Integer; stdcall; external LStep4Dll;
function LS_TranslateErrMsg( MsgIn: PWideChar; MsgOut: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetCalibRMAccel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCalibRMAccel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCalibRMJerk( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetCalibRMVel( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCalibRMVel( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetCalibRMBackSpeed( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetCalibRMBackSpeed( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetAccelJerk( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetDecelJerk( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetGearDenominator( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetGearDenominator( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetGearNumerator( X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetGearNumerator( var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetStopDecelJerk( XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LS_GetStopDecelJerk( var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LS_SetSwChange( Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_GetSwChange( var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LS_SetExtCallBackFct( Fct: Pointer; pprivate: Pointer): Integer; stdcall; external LStep4Dll;

implementation

end.

